
package de.ivu.elect.business.wahlausschuss.boundary;

import java.io.Serializable;

import de.ivu.elect.business.wahlausschuss.entity.Wahlausschussmitglied;

import de.ivu.elect.jee.entity.customdata.DefaultCustomData;

import de.ivu.elect.business.person.boundary.PersonendatenFactory;
import javax.inject.Inject;

/**
 * Diese Klasse liefert nur eine leere Instanz, für konkrete Implementierungen überschreiben
 */
public class WahlausschussmitgliedFactory implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient PersonendatenFactory superFactory;

  public Wahlausschussmitglied create() {
        Wahlausschussmitglied entity = new Wahlausschussmitglied(
              createCustomData()
          );

    initDefaultAttributes(entity);

    return entity;
  }



  public void initDefaultAttributes(Wahlausschussmitglied entity) {
    superFactory.initDefaultAttributes(entity);
  }

  public DefaultCustomData createCustomData() {
        if (superFactory==null) {
        // Testfälle...
        return de.ivu.elect.jee.entity.customdata.EmptyCustomData.INSTANCE;
    }
    return superFactory.createCustomData();
      }
}
